Bug 205809 - [PATCH] sparc sparc64 support
[PATCH] sparc sparc64 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 13:14 EDT by Dennis Gilmore
Modified: 2008-04-03 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 14:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against eclipse.spec for version 3.2.0-3 (1.84 KB, patch)
2006-09-08 13:14 EDT, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2006-09-08 13:14:42 EDT
Description of problem:

the attached patch adds sparc and sparc64 support to eclipse.  it does so 
through the spec file in the same way that ppc64 and s390  is done.  Though I 
will attempt to do it much cleaner  so it can be submited back upstream.  but 
for now this works

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dennis Gilmore 2006-09-08 13:14:42 EDT
Created attachment 135864 [details]
patch against eclipse.spec  for version 3.2.0-3
Comment 2 Ben Konrath 2006-09-20 17:38:46 EDT
Ok, it's applied. I'm working on a couple of problems I found with the
replacement  hack we're doing. How are things coming with the sparc builds?
Comment 3 Dennis Gilmore 2006-09-20 18:12:58 EDT
everythig is building ok.  I need to work out why im getting a segfault. The 
spalash screen loads but thats it right now the last version i have built is 
3.2.0-5 it currently takes 7 hours to build.
Comment 4 Ben Konrath 2006-10-04 00:51:48 EDT
If there is some way to get me access to a sparc64 machine, I would be
interested in gettting eclipse working on that platform.
Comment 5 Dennis Gilmore 2006-10-04 09:47:25 EDT
sure im in #fedora-java username dgilmore  ping me and ill get you setup
Comment 6 Bug Zapper 2008-04-03 14:12:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.